Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.util
Interface NLSBundleInfo

    public interface NLSBundleInfo

Field Summary
`static int` | `INFOTYPE_DATAMAPPING`
`static int` | `INFOTYPE_TEXTREPLACE`
`static int` | `TEXTREPLACE_FORCOLUMN`
`static int` | `TEXTREPLACE_FORFORMAT`
`static int` | `TEXTREPLACE_FORLABEL`
`static int` | `TEXTREPLACE_FORPROMPT`
`static int` | `TEXTREPLACE_FORTITLE`
`static int` | `TEXTREPLACE_FORTOCANCHOR`

Method Summary
`int` | `getBundleUsage()` The usage of this info, which may be: INFOTYPE_TEXTREPLACE, INFOTYPE_DATAMAPPING, or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.
`java.lang.String` | `getDataMapped(java.lang.String dataValue)` This method will be called if `getBundleUsage()` is INFOTYPE_DATAMAPPING or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.
`java.lang.String[]` | `getFontStyleReplace(java.lang.String fontFace, double fs_inch)` This method will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.
`boolean` | `getIsEmptyBundle()`
`java.lang.String` | `getTextReplace(int replaceID, java.lang.String originText)` This method will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

Field Detail

### INFOTYPE_TEXTREPLACE

    static final int INFOTYPE_TEXTREPLACE

See Also:
  Constant Field Values

### INFOTYPE_DATAMAPPING

    static final int INFOTYPE_DATAMAPPING

See Also:
  Constant Field Values

### TEXTREPLACE_FORLABEL

    static final int TEXTREPLACE_FORLABEL

See Also:
  Constant Field Values

### TEXTREPLACE_FORTOCANCHOR

    static final int TEXTREPLACE_FORTOCANCHOR

See Also:
  Constant Field Values

### TEXTREPLACE_FORPROMPT

    static final int TEXTREPLACE_FORPROMPT

See Also:
  Constant Field Values

### TEXTREPLACE_FORFORMAT

    static final int TEXTREPLACE_FORFORMAT

See Also:
  Constant Field Values

### TEXTREPLACE_FORCOLUMN

    static final int TEXTREPLACE_FORCOLUMN

See Also:
  Constant Field Values

### TEXTREPLACE_FORTITLE

    static final int TEXTREPLACE_FORTITLE

See Also:
  Constant Field Values

Method Detail

### getBundleUsage

    int getBundleUsage()

  The usage of this info, which may be: INFOTYPE_TEXTREPLACE, INFOTYPE_DATAMAPPING, or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

### getDataMapped

    java.lang.String getDataMapped(java.lang.String dataValue)

  This method will be called if `getBundleUsage()` is INFOTYPE_DATAMAPPING or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `dataValue` - The original value.
  Returns:

### getTextReplace

    java.lang.String getTextReplace(int replaceID,
                                    java.lang.String originText)

  This method will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `replaceID` - The ID replaced by the text, which may be one of the following: TEXTREPLACE_FORLABEL,TEXTREPLACE_FORTOCANCHOR, TEXTREPLACE_FORPROMPT,TEXTREPLACE_FORFORMAT,TEXTREPLACE_FORCOLUMN and TEXTREPLACE_FORTITLE
    `originText` -
  Returns:

### getFontStyleReplace

    java.lang.String[] getFontStyleReplace(java.lang.String fontFace,
                                           double fs_inch)

  This method will be called if `getBundleUsage()` is INFOTYPE_TEXTREPLACE or INFOTYPE_DATAMAPPING + INFOTYPE_TEXTREPLACE.

  Parameters:
    `fontFace` - Font face name.
    `fs_inch` - Font size, whose unit is inch.
  Returns:
    String[0]: the font face name; string[1]: the string vlaue of the font size in inch.

### getIsEmptyBundle

    boolean getIsEmptyBundle()

  Returns:
    this bundle Empty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD